Package com.pixelmed.dicom

## Class CompressedFrameDecoder.ByteArrayInputStreamWithOffsetCounterAndOurMethods

- java.lang.Object
- - java.io.InputStream
  - - com.pixelmed.dicom.CompressedFrameDecoder.ByteArrayInputStreamWithOffsetCounterAndOurMethods

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`
  Enclosing class:
    CompressedFrameDecoder

      protected class CompressedFrameDecoder.ByteArrayInputStreamWithOffsetCounterAndOurMethods
      extends java.io.InputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected byte[]` | `buf` |
    `protected int` | `count` |
    `protected int` | `pos` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ByteArrayInputStreamWithOffsetCounterAndOurMethods​(byte[] buf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `available()` |
    `int` | `getOffsetOfNextByteToReadFromStartOfFragment()` |
    `boolean` | `markSupported()` |
    `int` | `read()` |
    `int` | `read​(byte[] b, int off, int len)` |
    `long` | `readUnsigned32LittleEndian()` |
    `void` | `readUnsigned32LittleEndian​(long[] w, int offset, int len)` |
    `long` | `skip​(long n)` |
    `void` | `skipInsistently​(long length)` |

    - ### Methods inherited from class java.io.InputStream

      `close, mark, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected byte[] buf

    - #### pos

          protected int pos

    - #### count

          protected int count

  - ### Constructor Detail

    - #### ByteArrayInputStreamWithOffsetCounterAndOurMethods

          public ByteArrayInputStreamWithOffsetCounterAndOurMethods​(byte[] buf)

  - ### Method Detail

    - #### read

          public int read()

      Specified by:
        `read` in class `java.io.InputStream`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)

      Overrides:
        `read` in class `java.io.InputStream`

    - #### skip

          public long skip​(long n)

      Overrides:
        `skip` in class `java.io.InputStream`

    - #### available

          public int available()

      Overrides:
        `available` in class `java.io.InputStream`

    - #### markSupported

          public boolean markSupported()

      Overrides:
        `markSupported` in class `java.io.InputStream`

    - #### readUnsigned32LittleEndian

          public final long readUnsigned32LittleEndian()

    - #### readUnsigned32LittleEndian

          public final void readUnsigned32LittleEndian​(long[] w,
                                                       int offset,
                                                       int len)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipInsistently

          public void skipInsistently​(long length)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getOffsetOfNextByteToReadFromStartOfFragment

          public int getOffsetOfNextByteToReadFromStartOfFragment()